SBNI(4)

NAME
sbni - Granch SBNI12 leased line modem driver

SYNOPSIS
device sbni

DESCRIPTION
The sbni driver provides support for leased line modems of following models:

•   SBNI12-02, SBNI12D-02
•   SBNI12-04, SBNI12D-04
•   SBNI12-05, SBNI12D-05, ISA and PCI
•   SBNI12-10, SBNI12D-10, ISA and PCI

and a kit for data link over a voice band:

•   SBNI12-11, SBNI12D-11, ISA and PCI.

In addition to the standard port and IRQ specifications, the sbni driver also supports a number of flags which can set baud rate, receive level, and low three bytes of Ethernet MAC-address (high three are always 00:ff:01), because Granch modems are presented to the system as Ethernet-like network cards.

The high byte of the flags is a bit field, it is used to specify SBNI adapter receive level/baud rate:

Bits 0-3:
    receive level (0x00..0x0f)

Bits 4-5:
    baud rate number:

    00 - 0 baud rate (2Mb in fast mode/500kb in slow)
    01 - 1 baud rate (1Mb/250kb)
    10 - 2 baud rate (500kb/125kb)
    11 - 3 baud rate (250kb/62.5kb)

Bit 6:
    use fixed receive level

    if bit 6 is set then receive level will be set according to bits 0-3 value, otherwise receive level will be autodetected

Bit 7:
    use fixed baud rate

    if bit 7 is set then baud rate will be set according to bits 4-5 value, otherwise baud rate is set to 2Mb

FILES
The sources for the driver reside in:

/sys/dev/sbni/if_sbni.c
/sys/dev/sbni/if_sbnireg.h
/sys/dev/sbni/if_sbnivar.h

SEE ALSO
arp(4), netintro(4), ifconfig(8)

HISTORY
The sbni device driver first appeared in FreeBSD 4.6.

AUTHORS
-nosplit The sbni device driver for FreeBSD 4.x was written by Denis I. Timofeev, partially based on David Greenman's ed(4) driver. Earlier versions (available on ftp.granch.com) were written by Alexey V. Zverev.

SBNI12 hardware was designed by Alexey V. Chirkov.